
#language: ru

@pricing

Функционал: 006. Pricing. Установка цен

Сценарий: 006.1. Pricing. Док.1. Установка цен, проверка заполнившихся цен
	
	Дано Я подключаюсь под "Ценообразование"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.006. Цены"
	Дано я удаляю объекты "Документы.к2УстановкаЦенНоменклатуры" без контроля ссылок
	И Я начинаю создавать документ установка цен
	И Я добавляю вид цены "Базовый" в документ установка цен
	И Я добавляю вид цены "Базовый для зависимых" в документ установка цен
	И Я добавляю вид цены "Зависимый 1" в документ установка цен
	И Я добавляю вид цены "Зависимый 2" в документ установка цен
	И в поле 'от' я ввожу текст '01.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 1. Установка цен'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' | 'Упаковка' |
		| 'Сыр Пошехонский'             | 'кг'       |
	И я выбираю пункт контекстного меню "Удалить" на элементе формы с именем "ДеревоЦен"
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Выберите номенклатуру'
	И Я подбираю номенклатуру "Сыр Пошехонский"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_4" цену "100,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_4" цену "50,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_4" цену "250,00"
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_5" цену "100,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_5" цену "50,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_5" цену "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "100,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "50,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "100,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "50,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "85,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "45,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "225,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "85,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "40,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "212,50"
	И Я завершаю установку цен

Сценарий: 006.2. Pricing. Док.2. Установка цен копированием, проверка заполнившихся цен

	И В командном интерфейсе я выбираю 'Заказы' 'История изменения цен'
	Тогда открылось окно 'История изменения цен'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'               | 
		| 'Документ 1. Установка цен' | 
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Установка цен (создание)'
	И в поле 'от' я ввожу текст '01.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 2. Установка цен'
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "100,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "50,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "100,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "50,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "85,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "45,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "225,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "85,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "40,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "212,50"
	И Я завершаю установку цен

Сценарий: 006.3. Pricing. Док.3. Установка цен через табличный документ

	И Я начинаю создавать документ установка цен
	Тогда открылось окно 'Установка цен (создание)'
	И Я добавляю вид цены "Базовый" в документ установка цен
	И Я добавляю вид цены "Базовый для зависимых" в документ установка цен
	И Я добавляю вид цены "Зависимый 1" в документ установка цен
	И Я добавляю вид цены "Зависимый 2" в документ установка цен
	И в поле 'от' я ввожу текст '01.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 3. Установка цен'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Загрузить цены из табличного документа'
	Тогда открылось окно 'Загрузка цен'
	И Я ввожу в ячейку "R2C1" текст "Сыр Адыгейский"
	И Я ввожу в ячейку "R2C3" текст "кг"
	И Я ввожу в ячейку "R2C4" текст "100"
	И Я ввожу в ячейку "R2C5" текст "100"
	И Я ввожу в ячейку "R3C1" текст "Сыр Костромской"
	И Я ввожу в ячейку "R3C3" текст "кг"
	И Я ввожу в ячейку "R3C4" текст "50"
	И Я ввожу в ячейку "R3C5" текст "50"
	И Я ввожу в ячейку "R4C1" текст "Сыр Пошехонский"
	И Я ввожу в ячейку "R4C3" текст "кг"
	И Я ввожу в ячейку "R4C4" текст "250"
	И Я ввожу в ячейку "R4C5" текст "250"
	И я нажимаю на кнопку 'Прочитать'
	И я нажимаю на кнопку 'Перенести в документ'
	Тогда открылось окно 'Установка цен (создание) *'
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "100,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "50,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "100,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "50,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "85,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "45,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "225,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "85,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "40,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "212,50"
	И Я завершаю установку цен

Сценарий: 006.4. Pricing. Док 4. Установка цен на дату раньше даты документа1, проверка текущей цены

	И Я начинаю создавать документ установка цен
	И в поле 'от' я ввожу текст '31.07.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 4.'
	И Я добавляю вид цены "Базовый" в документ установка цен
	И Я добавляю вид цены "Базовый для зависимых" в документ установка цен
	И Я добавляю вид цены "Зависимый 1" в документ установка цен
	И Я добавляю вид цены "Зависимый 2" в документ установка цен
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Выберите номенклатуру'
	И Я подбираю номенклатуру "Сыр Адыгейский"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_4" цену "200,00"
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_5" цену "200,00"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка цен (создание) *' в течение 20 секунд
	Тогда открылось окно 'История изменения цен'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'               | 
		| 'Документ 1. Установка цен' | 
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Установка цен *'
	И в таблице "ДеревоЦен" я разворачиваю текущую строку с подчиненными
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенСтараяЦена_4" цена имеет значение "200,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенСтараяЦена_5" цена имеет значение "200,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенСтараяЦена_6" цена имеет значение "170,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенСтараяЦена_7" цена имеет значение "170,00"
	И Я завершаю установку цен

Сценарий: 006.5. Pricing. Док.5. Открытие документа3 и проверка его значений

	И В командном интерфейсе я выбираю 'Заказы' 'История изменения цен'
	Тогда открылось окно 'История изменения цен'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'               | 
		| 'Документ 3. Установка цен' | 
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Установка цен *'
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "100,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "50,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_4" цена имеет значение "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "100,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "50,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_5" цена имеет значение "250,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "85,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "45,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_6" цена имеет значение "225,00"
	И Я проверяю что для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "85,00"
	И Я проверяю что для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "40,00"
	И Я проверяю что для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_7" цена имеет значение "212,50"
	И в таблице "ДеревоЦен" количество строк "равно" 3
	И я нажимаю на кнопку 'Цены номенклатуры'
	Тогда открылось окно 'Печать документа'
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R2C1" в течение 20 секунд
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Печатная форма цен номенклатуры"
	И Я закрываю окно 'Печать документа'
	И Я завершаю установку цен

Сценарий: 006.6. Pricing. Док.6. Установка цен для Ашана

	И Я начинаю создавать документ установка цен 
	И в поле 'Комментарий' я ввожу текст 'Документ 6.'
	И Я добавляю вид цены "Ашан" в документ установка цен
	И в поле 'от' я ввожу текст '01.08.2019'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_8" цену "100,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_8" цену "50,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_8" цену "250,00"
	И Я завершаю установку цен

Сценарий: 006.7. Pricing. Док.7. Установка цен для 5ки 1.08

	И Я начинаю создавать документ установка цен 
	И в поле 'Комментарий' я ввожу текст 'Документ 7.'
	И Я добавляю вид цены "5ка" в документ установка цен
	И в поле 'от' я ввожу текст '01.08.2019'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_9" цену "150,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_9" цену "200,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_9" цену "300,00"
	И Я завершаю установку цен

Сценарий: 006.8. Pricing. Док.8. Установка цен для Перекрестка

	И Я начинаю создавать документ установка цен 
	И Я добавляю вид цены "Перекресток" в документ установка цен
	И в поле 'от' я ввожу текст '01.09.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 8.'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_10" цену "200,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_10" цену "250,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_10" цену "350,00"
	И Я завершаю установку цен
	
Сценарий: 006.9. Pricing. Док.9. Установка цен для 5ка на 1.09

	И Я начинаю создавать документ установка цен 
	И Я добавляю вид цены "5ка" в документ установка цен
	И в поле 'от' я ввожу текст '01.09.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 9.'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_9" цену "200,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_9" цену "250,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_9" цену "350,00"
	И Я завершаю установку цен

Сценарий: 006.10. Pricing. Формирование отчета по ценам номенклатуры, провека заполненных значений

	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Цены номенклатуры"
	Тогда открылось окно 'Цены номенклатуры'
	И я нажимаю кнопку выбора у поля "Виды цен"
	Тогда открылось окно 'Виды цен'
	И я нажимаю на кнопку "Снять пометки"
	И я нажимаю на кнопку с именем 'СписокПодбор'
	Тогда открылось окно 'Виды цен'
	И Я подбираю вид цены "Базовый"
	И Я подбираю вид цены "Базовый для зависимых"
	И Я подбираю вид цены "Зависимый 1"
	И Я подбираю вид цены "Зависимый 2"
	И Я подбираю вид цены "Ашан"
	И Я подбираю вид цены "5ка"
	И Я подбираю вид цены "Перекресток"
	И Я закрываю окно 'Виды цен'
	Тогда открылось окно 'Виды цен'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Цены номенклатуры'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R8C2" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет цены номенклатуры"
	И Я закрываю окно 'Цены номенклатуры'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 006.11. Pricing. Проверка работы формы списка, открытие-закрытие правой панели, установка отборов для установки цен

	И В командном интерфейсе я выбираю 'Заказы' 'История изменения цен'
	Тогда открылось окно 'История изменения цен'
	И я нажимаю на гиперссылку ">>"
	И я нажимаю на гиперссылку "<<"
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И я перехожу к следующему реквизиту
	И из выпадающего списка "Вид цен" я выбираю по строке 'Базовый'
	И я перехожу к следующему реквизиту
	И я нажимаю кнопку очистить у поля "Вид цен"
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И Я закрываю окно 'История изменения цен'

Сценарий: 006.12. Pricing. Док 10. Установка цен на подложку куринных крыльев, все виды цен

	И Я начинаю создавать документ установка цен 
	И в поле 'от' я ввожу текст '1.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 10.'
	И Я добавляю вид цены "Базовый" в документ установка цен
	И Я добавляю вид цены "Базовый для зависимых" в документ установка цен
	И Я добавляю вид цены "Зависимый 1" в документ установка цен
	И Я добавляю вид цены "Зависимый 2" в документ установка цен
	И Я добавляю вид цены "Ашан" в документ установка цен
	И Я добавляю вид цены "5ка" в документ установка цен
	И Я добавляю вид цены "Перекресток" в документ установка цен
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Выберите номенклатуру'
	И Я подбираю номенклатуру "Крылья куринные (подложка)"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_4" цену "200,00"
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_5" цену "200,00"
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_8" цену "200,00"
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_9" цену "200,00"
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_10" цену "200,00"
	И Я завершаю установку цен

Сценарий: 006.13. Pricing. Док.11. Установка цен для Пятерочка

	И Я начинаю создавать документ установка цен 
	И Я добавляю вид цены "Пятерочка" в документ установка цен
	И в поле 'от' я ввожу текст '01.05.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 11.'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Адыгейский'              |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '180,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Костромской'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '120,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И Я завершаю установку цен

Сценарий: 006.14. Pricing. Док.12. Установка цен для Поставщик (проверка цен)

	И Я начинаю создавать документ установка цен 
	И Я добавляю вид цены "Поставщик (проверка цен)" в документ установка цен
	И в поле 'от' я ввожу текст '06.09.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 12.'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Адыгейский'              |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '150,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Костромской'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '160,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Пошехонский'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '170,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И Я завершаю установку цен

Сценарий: 006.15. Pricing. Док.13. Установка цен для Поставщик (проверка цен)

	И Я начинаю создавать документ установка цен 
	И Я добавляю вид цены "Поставщик (проверка цен)" в документ установка цен
	И в поле 'от' я ввожу текст '16.09.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 13.'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Адыгейский'              |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '180,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Костромской'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '190,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Пошехонский'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '200,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И Я завершаю установку цен

Сценарий: 006.16. Pricing. Док.14. Установка цен для Поставщик (проверка цен)

	И Я начинаю создавать документ установка цен 
	И Я добавляю вид цены "Поставщик (проверка цен)" в документ установка цен
	И в поле 'от' я ввожу текст '06.10.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 14.'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Адыгейский'              |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '155,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Костромской'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '165,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Пошехонский'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '175,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И Я завершаю установку цен

Сценарий: 006.17. Pricing. Док.15. Установка цен для Поставщик (проверка цен)

	И Я начинаю создавать документ установка цен 
	И Я добавляю вид цены "Поставщик (проверка цен)" в документ установка цен
	И в поле 'от' я ввожу текст '16.10.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 15.'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Адыгейский'              |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '185,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Костромской'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '195,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Пошехонский'             |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '205,00'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И Я завершаю установку цен

Сценарий: 006.18. Pricing. Завершение

	И Я закрыл все окна клиентского приложения